## org.jfree.util
Class Rotation

    java.lang.Object
      org.jfree.util.Rotation

All Implemented Interfaces:
  java.io.Serializable

public final class Rotation
extends java.lang.Object
implements java.io.Serializable

Represents a direction of rotation (`CLOCKWISE` or `ANTICLOCKWISE`).

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static Rotation` `ANTICLOCKWISE` The reverse order renders the primary dataset first.
`static Rotation` `CLOCKWISE` Clockwise.

Method Summary
`boolean` `equals(java.lang.Object o)` Compares this object for equality with an other object.
`double` `getFactor()` Returns the rotation factor, which is -1.0 for `CLOCKWISE` and 1.0 for `ANTICLOCKWISE`.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CLOCKWISE

    public static final Rotation CLOCKWISE

  Clockwise.

### ANTICLOCKWISE

    public static final Rotation ANTICLOCKWISE

  The reverse order renders the primary dataset first.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    the string (never `null`).

### getFactor

    public double getFactor()

  Returns the rotation factor, which is -1.0 for `CLOCKWISE` and 1.0 for `ANTICLOCKWISE`.

  Returns:
    the rotation factor.

### equals

    public boolean equals(java.lang.Object o)

  Compares this object for equality with an other object. Implementation note: This simply compares the factor instead of the name.

  Parameters:
    `o` - the other object
  Returns:
    true or false

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Returns:
    the hashcode